<?php

/**
@Shows the gateway form and starts a transaction!
*/
function ocart_print_authorize_form($post_id, $location = '') {
	global $ocart;
	
	require_once PLUGIN_OCART_AUTHORIZE_PATH.'AuthorizeNet.php'; // Include the SDK you downloaded in Step 2
	$api_login_id = $ocart['authorize_api'];
	$transaction_key = $ocart['authorize_key'];
	$amount = ocart_payable($post_id);
	$fp_timestamp = time();
	$fp_sequence = $post_id; // Enter an invoice or other unique number.
	$fingerprint = AuthorizeNetSIM_Form::getFingerprint($api_login_id,
	  $transaction_key, $amount, $fp_sequence, $fp_timestamp);

	// test mode
	if (isset($ocart['authorize_testmode']) && $ocart['authorize_testmode'] == 0) { // disabled
		$url = 'https://secure.authorize.net/gateway/transact.dll';
		$testrequest = false;
	} else {
		$url = 'https://test.authorize.net/gateway/transact.dll';
		$testrequest = true;
	}
	
	// prefill info
	$bill = get_post_meta($post_id, 'order_billing', true);
	$ship = get_post_meta($post_id, 'order_shipping', true);

?>

<form method='post' action="<?php echo $url; ?>" id="Authorize_payment_form">
<input type='hidden' name="x_login" value="<?php echo $api_login_id?>" />
<input type='hidden' name="x_fp_hash" value="<?php echo $fingerprint?>" />
<input type='hidden' name="x_amount" value="<?php echo $amount?>" />
<input type='hidden' name="x_fp_timestamp" value="<?php echo $fp_timestamp?>" />
<input type='hidden' name="x_fp_sequence" value="<?php echo $fp_sequence?>" />
<input type='hidden' name="x_version" value="3.1">
<input type='hidden' name="x_show_form" value="payment_form">
<input type='hidden' name="x_test_request" value="<?php echo $testrequest; ?>" />
<input type='hidden' name="x_method" value="cc">
<input type='hidden' name="x_invoice_num" value="<?php echo $post_id; ?>" />
<input type='hidden' name="x_description" value="<?php printf(__('%s Payment for Invoice #%s','ocart'), get_bloginfo('name'), $post_id); ?>" />
<input type="hidden" name="x_relay_response" value="true">
<input type="hidden" name="x_relay_url" value="<?php echo PLUGIN_OCART_AUTHORIZE_URL.'relay_response.php'; ?>">
<input type='hidden' name="x_first_name" value="<?php echo $bill[0]; ?>">
<input type='hidden' name="x_last_name" value="<?php echo $bill[1]; ?>">
<input type='hidden' name="x_address" value="<?php echo $bill[2]; ?>">
<input type='hidden' name="x_city" value="<?php echo $bill[4]; ?>">
<input type='hidden' name="x_state" value="<?php echo $bill[5]; ?>">
<input type='hidden' name="x_zip" value="<?php echo $bill[6]; ?>">
<input type='hidden' name="x_country" value="<?php echo $bill[7]; ?>">
<input type='hidden' name="x_email" value="<?php echo $bill[9]; ?>">
<input type='hidden' name="x_phone" value="<?php echo $bill[8]; ?>">
<input type='hidden' name="x_ship_to_first_name" value="<?php echo $ship[0]; ?>">
<input type='hidden' name="x_ship_to_last_name" value="<?php echo $ship[1]; ?>">
<input type='hidden' name="x_ship_to_address" value="<?php echo $ship[2]; ?>">
<input type='hidden' name="x_ship_to_city" value="<?php echo $ship[4]; ?>">
<input type='hidden' name="x_ship_to_state" value="<?php echo $ship[5]; ?>">
<input type='hidden' name="x_ship_to_zip" value="<?php echo $ship[6]; ?>">
<input type='hidden' name="x_ship_to_country" value="<?php echo $ship[7]; ?>">
<input type='submit' value="<?php _e('Click here for the secure payment form','ocart'); ?>">
</form>

<?php
}