<?php

/**
**
**@hook on activation
**
**/
function ocart_authorize_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['authorize'] = array ( 'name' => __('Authorize.net','ocart'), 
									  'paymentname' => __('Credit Card Payment (Authorize.net)','ocart'), 
									  'options' => array( 'enabled', 'api', 'key', 'testmode', 'charge' ), 
									  'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_authorize_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['authorize'])) {
		unset($installed['authorize']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_authorize_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['authorize'])) {
		unset($installed['authorize']);
	}
	update_option('occommerce_OC_gateways', $installed);

}